Page 5 of 10 FirstFirst ... 34567 ... LastLast
Results 41 to 50 of 97

Thread: How to install KDE 4.1 on backtrack :D

  1. #41
    Member
    Join Date
    Jul 2007
    Posts
    104

    Default

    Quote Originally Posted by Fishy80 View Post
    so, startx into flux>logout of flux>login to flux (on purpose this time)>logout of flux> login to startx..
    Awesome. I got it working. I have no idea why that works but it does.

    For anyone else, you can get all the packages and an install script I made to remove KDE 3.5 and to install KDE 4.1 right here. (Much more tolerable at a speed of ~500kb/s. )

    Please note that I have NOT tested the script very thoroughly. It has all the steps I went through to get KDE 4.1 working on my system just not in order but logically it should work. To use it, simply unzip the archive and run ./install.sh and let it do it's thing. If all else fails, it's very easy to install KDE 4.1 manually. There are also a few extra packages in there that I didn't find to be necessary, such as the bash and flux packages and I was experimenting with installing the GCC compiler via slapt-get so those packages are in there also if you want to install them but they are not installed through the script.

    By the way, has anyone been able to get Compiz-Fusion working with KDE 4.1?

  2. #42
    Junior Member
    Join Date
    Oct 2008
    Posts
    27

    Default

    I followed the directions step by step, no issues what so ever. I reboot and then "startx". I get "/usr/lib/X11/xinit/xinitrc: line 28 startkde: command not found" . So I tried kdeinit4 and this comes up " error while loading shared libraries: libQtCore.so.4: cannot open shared object file: No such file or directory" . Ive been stuck on this for 2 days, any ideas?

  3. #43
    Member
    Join Date
    Jul 2007
    Posts
    104

    Default

    Quote Originally Posted by hightech View Post
    I followed the directions step by step, no issues what so ever. I reboot and then "startx". I get "/usr/lib/X11/xinit/xinitrc: line 28 startkde: command not found" . So I tried kdeinit4 and this comes up " error while loading shared libraries: libQtCore.so.4: cannot open shared object file: No such file or directory" . Ive been stuck on this for 2 days, any ideas?
    Here's the libQtCore.so.4 file from my system. Maybe try putting it in your /usr/lib directory?

  4. #44
    Junior Member
    Join Date
    Oct 2008
    Posts
    27

    Default

    Thanks alot, I also came across other dependency issues. Had to go slackware packages page and grabbed gcc&glibc. KDE4 works okay. A little bit confusing. Major Changes.
    I'm having problems getting the desktop effects enabled . It says " Composting is not supported on your system" also "required X extensions (Xcompsite and XDamage) are not available." I have install compiz. Ive been stuck on this for awhile now any suggestions ?

  5. #45
    Member
    Join Date
    Jul 2007
    Posts
    104

    Default

    Quote Originally Posted by hightech View Post
    Thanks alot, I also came across other dependency issues. Had to go slackware packages page and grabbed gcc&glibc. KDE4 works okay. A little bit confusing. Major Changes.
    I'm having problems getting the desktop effects enabled . It says " Composting is not supported on your system" also "required X extensions (Xcompsite and XDamage) are not available." I have install compiz. Ive been stuck on this for awhile now any suggestions ?
    Yes, I have the exact same issue. I'm in the process of figuring it out but I don't have much time during the week to work on Linux related stuff. Here is my thread at the Compiz-fusion forums. I've posted my output of compiz-check which checks to see if your system can run compiz. That might help you. You can download it on their forums, just look around.
    I have an Nvidia card and I've found this thread at the slax forums which might help. I haven't tested it yet though. Please let me know if you find anything out.

  6. #46
    Member
    Join Date
    Mar 2010
    Posts
    57

    Default

    still cant get it...........still get error with the GCC

  7. #47
    Member
    Join Date
    Jul 2007
    Posts
    104

    Default

    Quote Originally Posted by frezasaga View Post
    still cant get it...........still get error with the GCC
    Can you be more descriptive? Exactly what is the error? Also what is your current GCC version? (enter "gcc -v")
    Just in case, you did try to install the GCC package mentioned earlier in this thread, right?

  8. #48
    Member
    Join Date
    Mar 2010
    Posts
    57

    Default

    i been try this on VMware too........but i got lazy to download 1 by 1 so i download them all in put it in the folder how exact where they are then copy it to the root after that i logout go to fuxbox then i start the process..i will tell if i cant make it to the top...........

    thanks for the assistance..............I know my mistake......now i fix it.....working like a charm.............

  9. #49
    Just burned his ISO
    Join Date
    Feb 2010
    Posts
    4

    Default

    I've installed everything as per the instructions.

    I downloaded each file 1 by 1 and ran the installpkg *, in each folder.

    Even installed the GCC file.

    The error I am getting now is: Could not start kstartupconfig4. Check your installation. When I run kstartupconfig4 I get the libgcc_s.so.1: version `GCC_4.2.0` not found error.

    Anyone have a work around, as I have NO IDEA as to why it's saying this, when I have followed the instructions given.

    Also, needless to say, flux is no longer working either.

    Here's output when I run flux:
    bt ~ # flux
    xauth: creating new authority file /root/.servauth3464


    X Window System Version 1.3.0
    ...
    (WW) intel: No matching Device section for instance (BusID PCI:0:2:1) found
    ...
    /usr/bin/fbsetroot: /usr/lib/libgcc_s.so.1: version `GCC_4.2.0` not found (required by /usr/lib/libstdc++.so.6)
    /usr/bin/fluxbox: /usr/lib/libgcc_s.so.1: version `GCC_4.2.0` not found (required by /usr/lib/libstdc++.so.6)

    waiting for X server to shutdown (EE) intel(0): I830 Vblank Pipe Setup Failed 0
    (EE) intel(0): I830 Vblank Pipe Setup Failed 0
    (EE) intel(0): I831 Vblank Pipe Setup Failed 0

  10. #50
    Member
    Join Date
    Mar 2010
    Posts
    57

    Default

    Quote Originally Posted by bigtymer- View Post
    I've installed everything as per the instructions.

    I downloaded each file 1 by 1 and ran the installpkg *, in each folder.

    Even installed the GCC file.

    The error I am getting now is: Could not start kstartupconfig4. Check your installation. When I run kstartupconfig4 I get the libgcc_s.so.1: version `GCC_4.2.0` not found error.

    Anyone have a work around, as I have NO IDEA as to why it's saying this, when I have followed the instructions given.

    Also, needless to say, flux is no longer working either.

    Here's output when I run flux:
    bt ~ # flux
    xauth: creating new authority file /root/.servauth3464


    X Window System Version 1.3.0
    ...
    (WW) intel: No matching Device section for instance (BusID PCI:0:2:1) found
    ...
    /usr/bin/fbsetroot: /usr/lib/libgcc_s.so.1: version `GCC_4.2.0` not found (required by /usr/lib/libstdc++.so.6)
    /usr/bin/fluxbox: /usr/lib/libgcc_s.so.1: version `GCC_4.2.0` not found (required by /usr/lib/libstdc++.so.6)

    waiting for X server to shutdown (EE) intel(0): I830 Vblank Pipe Setup Failed 0
    (EE) intel(0): I830 Vblank Pipe Setup Failed 0
    (EE) intel(0): I831 Vblank Pipe Setup Failed 0
    download this two file and installed this should work fine........
    Code:
    ftp://slackware.oregonstate.edu/pub/slackware/slackware-12.1/slackware/d/gcc-4.2.3-i486-1.tgz
    ftp://slackware.oregonstate.edu/pub/slackware/slackware-12.1/slackware/d/gcc-g++-4.2.3-i486-1.tgz

Page 5 of 10 FirstFirst ... 34567 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •